import { html as a } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var h = Object.defineProperty, w = Object.getOwnPropertyDescriptor, p = (l, t, r, i) => {
  for (var e = i > 1 ? void 0 : i ? w(t, r) : t, n = l.length - 1, s; n >= 0; n--)
    (s = l[n]) && (e = (i ? s(t, r, e) : s(e)) || e);
  return i && e && h(t, r, e), e;
};
let o = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--nationwide", this.class = "c-pieIcon c-pieIcon--nationwide", this.name = "IconPaymentNationwide";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 24 24" class="c-pieIcon c-pieIcon--nationwide"><path fill="#f9383d" d="M15.616 10.829C15.448 8.14 13.125 6 10.324 6 7.384 6 5 8.288 5 11.14a4.96 4.96 0 0 0 1.492 3.552l3.509-3.863zM12.246 19H19v-4.279l-3.385-3.892-3.37 3.892V19z"></path></svg>`;
  }
};
p([
  c({ type: String, reflect: !0 })
], o.prototype, "size", 2);
p([
  c({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = p([
  m("icon-payment-nationwide")
], o);
export {
  o as IconPaymentNationwide
};
